import { OnInit } from "@angular/core";
import { StiDragPreviewElement } from "../../elements/StiDragPreviewElement";
import { StiModelService } from "../../services/model.service";
import * as i0 from "@angular/core";
export declare class StiDragPreviewAdornerComponent implements OnInit {
    model: StiModelService;
    element: StiDragPreviewElement;
    get x(): number;
    get y(): number;
    get width(): number;
    get height(): number;
    get id(): string;
    get visible(): string;
    constructor(model: StiModelService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiDragPreviewAdornerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiDragPreviewAdornerComponent, "sti-drag-preview-adorner", never, { "element": { "alias": "element"; "required": false; }; }, {}, never, never, false, never>;
}
